zenilib: Zeni::Vertex3f Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Zeni::Vertex3f Class Reference

`#include <Vertex3f.h>`

Inherited by Zeni::Vertex3f_Color, and Zeni::Vertex3f_Texture.

## Public Member Functions

virtual | ~Vertex3f ()
void * | get_address () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
unsigned long | get_offset () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
virtual Point3f | get_position () const

## Public Attributes

Point3f | normal
Point3f | position

## Protected Member Functions

| Vertex3f ()
| Vertex3f (const Point3f &position, const Point3f &normal=Point3f())

## Detailed Description

Definition at line 56 of file Vertex3f.h.

## Constructor & Destructor Documentation

Zeni::Vertex3f::Vertex3f | ( |  | ) |

protected

Definition at line 52 of file Vertex3f.cpp.

Zeni::Vertex3f::Vertex3f | ( | const Point3f & | position,
|  | const Point3f & | normal = `Point3f()`
| ) |  |

protected

Definition at line 56 of file Vertex3f.cpp.

Zeni::Vertex3f::~Vertex3f | ( |  | ) |

virtual

Definition at line 62 of file Vertex3f.cpp.

## Member Function Documentation

void * Zeni::Vertex3f::get_address | ( |  | ) | const

inline

A bit of a hack, necessary to memcpy data into Vertex_Buffers.

Definition at line 25 of file Vertex3f.hxx.

References position.

Referenced by Zeni::Vertex3f_Color::render_to().

unsigned long Zeni::Vertex3f::get_offset | ( |  | ) | const

inline

A bit of a hack, necessary to memcpy data into Vertex_Buffers.

Definition at line 34 of file Vertex3f.hxx.

References position.

Point3f Zeni::Vertex3f::get_position | ( |  | ) | const

virtual

Definition at line 65 of file Vertex3f.cpp.

References position.

## Member Data Documentation

Point3f Zeni::Vertex3f::normal

Definition at line 73 of file Vertex3f.h.

Referenced by Zeni::Vertex3f_Color::interpolate_to(), Zeni::Vertex3f_Texture::interpolate_to(), Zeni::Vertex3f_Color::subrender_to(), and Zeni::Vertex3f_Texture::subrender_to().

Point3f Zeni::Vertex3f::position

Definition at line 72 of file Vertex3f.h.

Referenced by get_address(), get_offset(), get_position(), Zeni::Vertex3f_Color::interpolate_to(), Zeni::Vertex3f_Texture::interpolate_to(), Zeni::Vertex3f_Color::subrender_to(), and Zeni::Vertex3f_Texture::subrender_to().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex3f.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex3f.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex3f.hxx